import { httpResponseParser } from './response-parser';
import { serializeRequestBody } from './request-body-serializer';
import { HttpCacheService, HttpInMemoryCacheStore } from '../cache';
import { HttpCacheStorePrefixDecorator } from '../cache/prefix-decorator';
export var defaultCacheStore = new HttpInMemoryCacheStore();
export var defaultHttpReqConfig = {
    baseUrl: '',
    responseParser: httpResponseParser,
    requestBodySerializer: serializeRequestBody,
    reqOptions: {
        headers: {
            'Content-Type': 'application/json',
        },
    },
    cache: new HttpCacheService(new HttpCacheStorePrefixDecorator(defaultCacheStore)),
};
export var defaultClientProps = {
    config: defaultHttpReqConfig,
};
